Autor Thema: ENIGMA2 bringt fhem zum Absturz  (Gelesen 4306 mal)

Offline Bennemannc

  • Hero Member
  • *****
  • Beiträge: 2726
ENIGMA2 bringt fhem zum Absturz
« am: 04 April 2014, 20:58:16 »
Hallo,

das Modul ENIGMA2 bringt seit heute nach einem Neustart fhem zum Absturz. Die letzte Meldung ist etwas mit "Keyattr". Das ganze läuft bei mir auf einer Fritzbox und ich habe in der letzten Zeit an den Einstellungen nichts geändert.

Gruß Christoph
Cubietruck, Fhem 5.8
CC-RT-DN|LC-SW2-FM|RC-12|RC-19|LC-SW4-BA-PCB|LCp-SW1-BA-PCB|ES-PMSw1-Pl|LC-Bl1PBU-FM|PBI-4-FM|CC-VD|CC-TC|SEC-SC(2)|RC-KEY3-B|LC-Sw1PBU-FM|PB-2-FM|WDS100-C6-O|WDC7000|LC-Bl1-FM
Module: Dewpoint,FB_Callmonitor,HCS,Panstamp,at,notify,THRESHOLD,average,DOIF

Offline Loredo

  • Developer
  • Hero Member
  • ****
  • Beiträge: 3649
  • ~ Challenging Innovation ~
Antw:ENIGMA2 bringt fhem zum Absturz
« Antwort #1 am: 04 April 2014, 21:00:20 »
Hallo Christoph,


der genaue Wortlaut der Fehlermeldung wäre doch durchaus interessant zu wissen ;-)




Gruß
--Julian
Hat meine Arbeit dir geholfen? ⟹ https://paypal.me/pools/c/8gDLrIWrG9

Maintainer:
FHEM-Docker Image, https://github.com/fhem, Astro(Co-Maintainer), ENIGMA2, GEOFANCY, GUEST, HP1000, Installer, LaMetric2, MSG, msgConfig, npmjs, PET, PHTV, Pushover, RESIDENTS, ROOMMATE, search, THINKINGCLEANER

Offline Bennemannc

  • Hero Member
  • *****
  • Beiträge: 2726
Antw:ENIGMA2 bringt fhem zum Absturz
« Antwort #2 am: 04 April 2014, 22:02:32 »
Hallo,

hier kommt ein Außschnitt von der Konsole
password:                                                                       
                                                                               
                                                                               
BusyBox v1.19.3 (2012-08-07 18:33:02 CEST) built-in shell (ash)                 
Enter 'help' for a list of built-in commands.                                   
                                                                               
ermittle die aktuelle TTY                                                       
tty is "/dev/pts/1"                                                             
weitere telnet Verbindung aufgebaut                                             
# ./var/media/ftp/Multiple-CardReader-01/fhem/startfhem                         
# Useless use of a variable in void context at ./FHEM/99_myUtilsTelefon.pm line
166, <$fh> line 5.                                                             
Use of uninitialized value $name in concatenation (.) or string at fhem.pl line
3585, <$fh> line 347.                                                           
Use of uninitialized value $name in concatenation (.) or string at fhem.pl line
3585, <$fh> line 401.                                                           
Use of uninitialized value $name in concatenation (.) or string at fhem.pl line
3585, <$fh> line 638.                                                           
could not find ParserDetails.ini in /var/media/ftp/Multiple-CardReader-01/fhem/l
ib/perl5/site_perl/5.12.2/XML/SAX                                               
Use of uninitialized value in pattern match (m//) at fhem.pl line 456.         
No value specified for 'KeyAttr' option in call to XMLin() at ./FHEM/70_ENIGMA2.
pm line 1015                                                                   
                                                                               

Gruß Christoph
Cubietruck, Fhem 5.8
CC-RT-DN|LC-SW2-FM|RC-12|RC-19|LC-SW4-BA-PCB|LCp-SW1-BA-PCB|ES-PMSw1-Pl|LC-Bl1PBU-FM|PBI-4-FM|CC-VD|CC-TC|SEC-SC(2)|RC-KEY3-B|LC-Sw1PBU-FM|PB-2-FM|WDS100-C6-O|WDC7000|LC-Bl1-FM
Module: Dewpoint,FB_Callmonitor,HCS,Panstamp,at,notify,THRESHOLD,average,DOIF

Offline Loredo

  • Developer
  • Hero Member
  • ****
  • Beiträge: 3649
  • ~ Challenging Innovation ~
Antw:ENIGMA2 bringt fhem zum Absturz
« Antwort #3 am: 05 April 2014, 12:05:47 »
hier kommt ein Außschnitt von der Konsole


Es sieht ein wenig so aus, als wenn du nicht die neuste Version einsetzt. Auch denke ich, dass deine Dreambox kein valides XML zurück liefert und der Fehler deshalb auftritt. Womöglich hast du ein Update der Software gemacht o.ä.
Genaueres kannst du im Logfile unter /var/media/ftp/fhem/log/fhem-2014-04.log sehen, wenn du bei deinem ENIGMA2 Device das Attribut "verbose" vorübergehend auf 4 oder 5 setzt.
Hat meine Arbeit dir geholfen? ⟹ https://paypal.me/pools/c/8gDLrIWrG9

Maintainer:
FHEM-Docker Image, https://github.com/fhem, Astro(Co-Maintainer), ENIGMA2, GEOFANCY, GUEST, HP1000, Installer, LaMetric2, MSG, msgConfig, npmjs, PET, PHTV, Pushover, RESIDENTS, ROOMMATE, search, THINKINGCLEANER

Offline Bennemannc

  • Hero Member
  • *****
  • Beiträge: 2726
Antw:ENIGMA2 bringt fhem zum Absturz
« Antwort #4 am: 05 April 2014, 13:23:51 »
Hallo,

eigentlich sollte die neuste Version drauf sein, ich mache mindestens alle 2 Tage ein update. Heute habe ich auch eines gemacht. Das Problem besteht weiterhin. In der letzten Zeit ist auch bei der Dreambox kein update gemacht worden - zumindest habe ich nichts davon mitbekommen. An dieser Stelle habe ich schon länger nichts mehr geändert.
Kann das an der Perl-Version liegen? Auf der Fritzbox ist ja noch eine 5.12.2 drauf.
Ich habe das Modul erst einmal deaktiviert. Mal sehen ob fhem jetzt stabil läuft.

Gruß Christoph
Cubietruck, Fhem 5.8
CC-RT-DN|LC-SW2-FM|RC-12|RC-19|LC-SW4-BA-PCB|LCp-SW1-BA-PCB|ES-PMSw1-Pl|LC-Bl1PBU-FM|PBI-4-FM|CC-VD|CC-TC|SEC-SC(2)|RC-KEY3-B|LC-Sw1PBU-FM|PB-2-FM|WDS100-C6-O|WDC7000|LC-Bl1-FM
Module: Dewpoint,FB_Callmonitor,HCS,Panstamp,at,notify,THRESHOLD,average,DOIF

Offline Loredo

  • Developer
  • Hero Member
  • ****
  • Beiträge: 3649
  • ~ Challenging Innovation ~
Antw:ENIGMA2 bringt fhem zum Absturz
« Antwort #5 am: 06 April 2014, 09:49:19 »
Perl ab 5.12 ist Voraussetzung und damit erfüllt.


Aber schau mal:


could not find ParserDetails.ini in /var/media/ftp/Multiple-CardReader-01/fhem/l
ib/perl5/site_perl/5.12.2/XML/SAX


Vielleicht ist deine Perl Installation unvollständig. Ich weiß nicht, ob dem FHEM Paket diese Datei fehlt oder du sie aus Versehen irgendwie gelöscht hast. Sie scheint weg zu sein ;)
Hat meine Arbeit dir geholfen? ⟹ https://paypal.me/pools/c/8gDLrIWrG9

Maintainer:
FHEM-Docker Image, https://github.com/fhem, Astro(Co-Maintainer), ENIGMA2, GEOFANCY, GUEST, HP1000, Installer, LaMetric2, MSG, msgConfig, npmjs, PET, PHTV, Pushover, RESIDENTS, ROOMMATE, search, THINKINGCLEANER

Offline Bennemannc

  • Hero Member
  • *****
  • Beiträge: 2726
Antw:ENIGMA2 bringt fhem zum Absturz
« Antwort #6 am: 06 April 2014, 11:09:03 »
Hallo,

habe ich kontrolliert - diese Datei gibt es auf der FB nicht. Sie ist auch nicht in dem Image enthalten, das ich installiert habe. Vorher hat das Modul auch ohne diese Datei funktioniert - also ist es das nicht zwingend.
Auf dem Raspberry (Testsystem) ist diese Datei vorhanden - hier habe ich aber noch nicht probiert ob das Modul läuft oder nicht.
Leider kann ich die nächsten Tage nicht testen, da ich dienstlich unterwegs bin. Wenn ich zurück bin, werde ich da noch einmal weiter ausprobieren.

Gruß Christoph
Cubietruck, Fhem 5.8
CC-RT-DN|LC-SW2-FM|RC-12|RC-19|LC-SW4-BA-PCB|LCp-SW1-BA-PCB|ES-PMSw1-Pl|LC-Bl1PBU-FM|PBI-4-FM|CC-VD|CC-TC|SEC-SC(2)|RC-KEY3-B|LC-Sw1PBU-FM|PB-2-FM|WDS100-C6-O|WDC7000|LC-Bl1-FM
Module: Dewpoint,FB_Callmonitor,HCS,Panstamp,at,notify,THRESHOLD,average,DOIF

Offline Michi240281

  • Hero Member
  • *****
  • Beiträge: 1229
Antw:ENIGMA2 bringt fhem zum Absturz
« Antwort #7 am: 09 April 2014, 21:42:53 »
Hi,

bin gerade dabei von FB auf RPi umzuziehen. Nun bekomme ich folgende Fehlermeldung:

Cannot load module ENIGMA2 Please define DM500HD first Please define DM500HD first Please define DM500HD first Please define DM500HD first Please define DM500HD first Please define DM500HD first Please define DM500HD first Please define DM500HD first Please define DM500HD first Please define DM500HD first Please define DM500HD first Cannot load module ENIGMA2 Please define Spark_One first Please define Spark_One first Please define Spark_One first Please define Spark_One first Please define Spark_One first Please define Spark_One first Please define Spark_One first Please define Spark_One first Please define Spark_One first Please define Spark_One first
Woran könnte das liegen?
FHEM 5.6 auf RPi2 / HM LAN Adapter / diverse HM-Devices
FHEM-Remote-App
QNAP 419P / Onkyo TX-SR 608
DM500HD / GM Spark One
Sony 52HX905

Offline Loredo

  • Developer
  • Hero Member
  • ****
  • Beiträge: 3649
  • ~ Challenging Innovation ~
Antw:ENIGMA2 bringt fhem zum Absturz
« Antwort #8 am: 09 April 2014, 22:09:57 »
Schau doch mal ins Logfile.
Hat meine Arbeit dir geholfen? ⟹ https://paypal.me/pools/c/8gDLrIWrG9

Maintainer:
FHEM-Docker Image, https://github.com/fhem, Astro(Co-Maintainer), ENIGMA2, GEOFANCY, GUEST, HP1000, Installer, LaMetric2, MSG, msgConfig, npmjs, PET, PHTV, Pushover, RESIDENTS, ROOMMATE, search, THINKINGCLEANER

Offline Michi240281

  • Hero Member
  • *****
  • Beiträge: 1229
Antw:ENIGMA2 bringt fhem zum Absturz
« Antwort #9 am: 09 April 2014, 22:50:44 »
2014.04.09 23:16:30.535 1: reload: Error:Modul 70_ENIGMA2 deactivated:
 Can't locate XML/Simple.pm in @INC (@INC contains: /etc/perl /usr/local/lib/perl/5.14.2 /usr/local/share/perl/5.14.2 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.14 /usr/share/perl/5.14 /usr/local/lib/site_perl . ./FHEM) at ./FHEM/70_ENIGMA2.pm line 53.
BEGIN failed--compilation aborted at ./FHEM/70_ENIGMA2.pm line 53.

2014.04.09 23:16:30.536 0: Can't locate XML/Simple.pm in @INC (@INC contains: /etc/perl /usr/local/lib/perl/5.14.2 /usr/local/share/perl/5.14.2 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.14 /usr/share/perl/5.14 /usr/local/lib/site_perl . ./FHEM) at ./FHEM/70_ENIGMA2.pm line 53.
BEGIN failed--compilation aborted at ./FHEM/70_ENIGMA2.pm line 53.
« Letzte Änderung: 09 April 2014, 23:17:24 von Michi240281 »
FHEM 5.6 auf RPi2 / HM LAN Adapter / diverse HM-Devices
FHEM-Remote-App
QNAP 419P / Onkyo TX-SR 608
DM500HD / GM Spark One
Sony 52HX905

Offline Loredo

  • Developer
  • Hero Member
  • ****
  • Beiträge: 3649
  • ~ Challenging Innovation ~
Antw:ENIGMA2 bringt fhem zum Absturz
« Antwort #10 am: 10 April 2014, 02:14:27 »
diese Meldung wurde hier im Thread schon öfters besprochen. dir fehlt das Perl Modul XML::Simple.
Hat meine Arbeit dir geholfen? ⟹ https://paypal.me/pools/c/8gDLrIWrG9

Maintainer:
FHEM-Docker Image, https://github.com/fhem, Astro(Co-Maintainer), ENIGMA2, GEOFANCY, GUEST, HP1000, Installer, LaMetric2, MSG, msgConfig, npmjs, PET, PHTV, Pushover, RESIDENTS, ROOMMATE, search, THINKINGCLEANER

 

decade-submarginal